> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List device traffic sessions



## OpenAPI

````yaml /api-reference/phones/traffic-sessions.yaml get /devices/{deviceId}/traffic/sessions
openapi: 3.1.0
info:
  title: Traffic Sessions
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /devices/{deviceId}/traffic/sessions:
    get:
      tags:
        - Traffic Sessions
      summary: List device traffic sessions
      operationId: list-device-traffic-sessions
      parameters:
        - in: path
          name: deviceId
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: page
          schema:
            default: 1
            format: int64
            minimum: 1
            type: integer
        - explode: false
          in: query
          name: pageSize
          schema:
            default: 20
            format: int64
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSession'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const trafficSessions = await
            client.devices.trafficSessions.list('deviceId');


            console.log(trafficSessions.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            traffic_sessions = client.devices.traffic_sessions.list(
                device_id="deviceId",
            )
            print(traffic_sessions.items)
components:
  schemas:
    ResponseSession:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ResponseSession.json
          format: uri
          readOnly: true
          type: string
        items:
          items:
            $ref: '#/components/schemas/Session'
          type:
            - array
            - 'null'
        pagination:
          $ref: '#/components/schemas/Meta'
      required:
        - items
        - pagination
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    Session:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/Session.json
          format: uri
          readOnly: true
          type: string
        createdAt:
          format: date-time
          type: string
        deviceId:
          type: string
        error:
          $ref: '#/components/schemas/SessionError'
        expiresAt:
          format: date-time
          type: string
        id:
          type: string
        maxBodyBytes:
          format: int64
          type: integer
        retention:
          enum:
            - none
          type: string
        startedAt:
          format: date-time
          type: string
        state:
          enum:
            - starting
            - active
            - stopping
            - stopped
            - failed
            - expired
          type: string
        stoppedAt:
          format: date-time
          type: string
        stream:
          $ref: '#/components/schemas/StreamCredentials'
      required:
        - id
        - deviceId
        - state
        - createdAt
        - expiresAt
        - maxBodyBytes
        - retention
      type: object
    Meta:
      additionalProperties: false
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          format: int64
          type: integer
        pageSize:
          format: int64
          type: integer
        pages:
          format: int64
          type: integer
        total:
          format: int64
          type: integer
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - total
        - pages
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    SessionError:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
    StreamCredentials:
      additionalProperties: false
      properties:
        protocol:
          type: string
        token:
          type: string
        url:
          type: string
      required:
        - url
        - token
        - protocol
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.